I2CSCAN(8) | System Manager's Manual | I2CSCAN(8)

# NAME

`i2cscan` — scan an IIC bus for devices

# SYNOPSIS

`i2cscan` | [`-r`] i2cdev

# DESCRIPTION

The `i2cscan` utility scans the Inter-Integrated Circuit bus (iic(4)) specified by i2cdev to determine which addresses respond.

i2cdev can be specified with or without the /dev prefix. For example, /dev/iic0 or iic0.

Available options:

`-r`
  scan using 1 byte reads instead of quick writes.

WARNING: Using this utility can access some devices in such a manner as to leave them in an unstable or unusable state. It can also lock up the entire iic(4) bus. Don't use this utility unless you know what you're doing and can accept all sorts of unforeseen consequences.

# EXIT STATUS

The `i2cscan` utility exits 0 on success, and >0 if an error occurs.

# EXAMPLES

Scan the first IIC bus found on the system for devices:

`i2cscan /dev/iic0`

# SEE ALSO

iic(4)

November 26, 2015 | NetBSD 11.99